{% load static %}
{% load crispy_forms_tags %}
{% load main_tags %}


<div class="post{{ post.slug }} card mb-3">
    <div class="card-body">
        <div class="row">
            <div class="col-11">
                <div class="row">
                    <!-- Avatar icon, Username, post date -->
                    <div class="pl-2">
                        {% if post.username.avatar %}
                            <img class="rounded-circle avatar_in_post_card" src="{{ post.username.avatar.url }}">
                        {% else %}
                            <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                        {% endif %}
                    </div>
                    <div class="col-auto p-0 pl-2">
                        <h6 class="font-weight-bold mb-0 text-left">
                            <a href="{{ post.username.get_absolute_url }}">{{ post.username|title }} {{ post.username.last_name|title }}</a>
                        </h6>
                        <h7 class="text-muted mt-0 text-left"> {{ post.date_time }} </h7>
                        <!-- Friendship buttons -->
                        {% if user.is_authenticated %}
                            <!-- Add to friends btn -->
                            {% if user|filter_add_to_friends_from_post:post %}
                                <div>
                                    <button type="submit" class="friends_btn badge btn-primary"
                                            onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ post.username.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ post.username.id }}').attr('data-user_action','friendship_request'))">
                                        +Add to Friends
                                    </button>
                                </div>
                            {% endif %}
                            <!-- Cancel friends request btn -->
                            {% if user|filter_cancel_friends_request_from_post:post %}
                                <div>
                                    <button type="submit" class="friends_btn badge btn-light"
                                            onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ post.username.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ post.username.id }}').attr('data-user_action','friendship_request_cancel'))">
                                        Cancel Friend Request
                                    </button>
                                </div>
                            {% endif %}
                            <!-- Accept Friendship Offer btn -->
                            {% if user|accept_friendship_offer_from_post:post %}
                                <div>
                                    <button type="submit" class="friends_btn badge btn-outline-success"
                                            onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ post.username.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ post.username.id }}').attr('data-user_action','friendship_confirmation'))">
                                        Accept Friendship Offer
                                    </button>
                                </div>
                            {% endif %}
                            <!-- Stop friendship btn -->
                            {% if user|stop_friendship_from_post:post %}
                                <div>
                                    <button type="submit" class="friends_btn badge btn-info"
                                            onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ post.username.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ post.username.id }}').attr('data-user_action','break_friendship'))">
                                        Your Friend
                                    </button>
                                </div>
                            {% endif %}
                        {% endif %}
                    </div>
                </div>
            </div>
            <!-- Split drop up button -->
            <div class="offset-12 text-right">
                <button type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split text-right" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button>
                <div class="dropdown-menu">
                    <!-- Drop down menu links -->
                    {% if user.is_authenticated and user.pk == post.username.pk %}
                        <div class="text-center">
                            <a href="{{ post.get_update_url }}" class="btn btn-dark">Edit</a>
                        </div>
                        <div class="text-center">
                            <button type="button" class="post_delete_btn btn btn-danger" onclick="$('.delete_post_confirmation_btn').attr('data-slug','{{ post.slug }}'); return false;">Delete</button>
                        </div>
                    {% else %}
                        <div class="text-center">
                            <p class="font-weight-bold text-muted">No action available</p>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
        <!-- Post Body -->
        <div class="row">
            <div class="col-12 mt-4">
                <h6 class="font-weight-normal">
                    {{ post.body }}
                </h6>
                <div class="mt-1">
                    <a class="post_detail_btn text-muted" type="button" onclick="$('.post_detail_btn').attr('data-slug','{{ post.slug }}')">In detail ...</a>
                </div>
            </div>
        </div>
        <!-- Post image -->
        <div class="row">
            <div class="col p-0 mt-2">
                {% if post.image %}
                    <img class="card-img-top" src="{{ post.image.url }}">
                {% endif %}
            </div>
        </div>
        <!-- Interest's badges -->
        <div class="row mt-2 mb-3">
            <div class="col-12">
                {% for interest in post.interests.all %}
                    <a href="{{ interest.get_absolute_url }}" class="badge badge-success">{{ interest.title }}</a>
                {% endfor %}
            </div>
        </div>
        <!-- Number of likes and comments -->
        <div class="row mt-2 mb-0">
            <div class="col-6 pl-3 text-left">
                <img class="like_in_post_card p-0 ml-1" src="{% static 'images/icon--heart.png' %}"><span class="text-muted ml-1 font-weight-normal p-0 likes_count_{{ post.slug }}">{{ post.likes.count }}</span>
            </div>
            <div class="col-6 pr-3 text-right pr-0">
                <span class="text-muted text-right font-weight-bold">Comments <span class="font-weight-normal comments_count_{{ post.slug }}">{{ post.comments.count }}</span></span>
            </div>
        </div>
        <p class="card-footer mb-0 pt-0"></p>
        <!-- Like and View comment btn -->
        <div class="row mt-0">
            <div class="col-6 pl-2 text-left">
                {% if user.is_authenticated %}
                    {% if user not in post.likes.all %}
                        <button type="button" class="btn btn-dark like_btn"
                                onclick="($('.like_btn').attr('data-slug','{{ post.slug }}'))">
                            <img class="p-0 ml-1" src="{% static 'images/ic_thumb_up_24px.png' %}">
                            <span class="text-muted ml-1 font-weight-normal p-0">LIKE</span>
                        </button>
                    {% endif %}
                    {% if user in post.likes.all %}
                        <button type="button" class="btn btn-dark like_btn"
                                onclick="($('.like_btn').attr('data-slug','{{ post.slug }}'))">
                            <img class="p-0 ml-1" src="{% static 'images/ic_thumb_down_24px.png' %}">
                            <span class="text-muted ml-1 font-weight-normal p-0">DISLIKE</span>
                        </button>
                    {% endif %}
                {% else %}
                    <button type="button" class="btn btn-dark disabled" data-toggle="tooltip" data-placement="right" title="Authorized Users Only">
                        <img class="p-0 ml-1 thumb_cla" src="{% static 'images/ic_thumb_up_24px.png' %}">
                        <span class="text-muted ml-1 font-weight-normal p-0">LIKE</span>
                    </button>
                {% endif %}
            </div>
            <div class="col-6 pr-2 text-right">
                <button type="button" class="btn btn-dark" data-toggle="collapse" data-target="#collapseCommentaElement{{ post.slug }}" aria-expanded="false" aria-controls="collapseCommentaElement{{ post.slug }}"><img class="p-0 ml-1" src="{% static 'images/ic_chat_bubble_24px.png' %}">
                    <span class="text-muted ml-1 font-weight-normal p-0">VIEW COMMENTS</span>
                </button>
            </div>
        </div>
        {% if user.is_authenticated %}
            <!-- Comment form -->
            <div onclick="$('#collapseCommentaElement{{ post.slug }}').collapse('show')">
                <div class="row">
                    <div class="col-12">
                        <hr>
                        <div class="row">
                            <!-- Avatar icon, Username, post date -->
                            <div class="col-2 ml-3">
                                {% if user.avatar %}
                                    <img class="rounded-circle avatar_in_post_card" src="{{ user.avatar.url }}">
                                {% else %}
                                    <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                                {% endif %}
                            </div>
                            <div class="col">
                                <form action="{% url 'comment_create_url' slug=post.slug %}" enctype="multipart/form-data" method="post">
                                    <div class="input-group">
                                        <div class="input-group-append">
                                            {% csrf_token %}
                                            {{ form_of_comment.body }}
                                            <label class="{{ post.slug }} upload label_like_btn">
                                                <span id="u_{{ post.slug }}" onchange="imgUploadPreviewer(this.id);">
                                                    {{ form_of_comment.image }}
                                                </span>
                                                <img src="{% static 'images/ic_photo_camera_24px.png' %}">
                                            </label>
                                            <button type="submit" class="btn btn-dark">
                                                <img src="{% static 'images/ic_send_24px.png' %}">
                                            </button>
                                        </div>
                                        <!-- Img previewer block -->
                                        <div class="imgShowPreviewer">
                                            <img src="" class="wasAddMesu_{{ post.slug }}msg">
                                        </div>
                                        <div class="text-muted imgReport col"></div>
                                        <button id="cnslprv{{ post.slug }}" type="button" class="mt-1 btn btn-sm text-muted cancelPreview custom_hide" onclick="cancelImgUploadPreviewer(this.id);">
                                            <img src="{% static 'images/ic_close_24px.png' %}">
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
    <!-- Comments -->
    <div class="card-footer comment_bg_main collapse" id="collapseCommentaElement{{ post.slug }}">
        <div class="mt-2 ml-3">
            {% for comment in post.comments.all %}
                <div class="pl-2 comment{{ comment.slug }}">
                    <div class="row">
                        <div class="pl-4">
                            {% if comment.author.avatar %}
                                <img class="rounded-circle avatar_in_post_card" src="{{ comment.author.avatar.url }}">
                            {% else %}
                                <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                            {% endif %}
                        </div>
                        <div class="col-auto p-0 pl-2">
                            <div class="font-weight-bold mb-0 text-left">
                                <a href="{{ comment.author.get_absolute_url }}">{{ comment.author|title }} {{ comment.author.last_name|title }}</a>
                            </div>
                            <div class="text-muted text-left">{{ comment.date_time }}</div>
                            <!-- Friendship buttons -->
                            {% if user.is_authenticated %}
                                <!-- Add to friends btn -->
                                {% if user|filter_add_to_friends_from_comment:comment %}
                                    <div>
                                        <button type="submit" class="friends_btn badge btn-primary"
                                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ comment.author.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ comment.author.id }}').attr('data-user_action','friendship_request'))">
                                            +Add to Friends
                                        </button>
                                    </div>
                                {% endif %}
                                <!-- Cancel friends request btn -->
                                {% if user|filter_cancel_friends_request_from_comment:comment %}
                                    <div>
                                        <button type="submit" class="friends_btn badge btn-light"
                                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ comment.author.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ comment.author.id }}').attr('data-user_action','friendship_request_cancel'))">
                                            Cancel Friend Request
                                        </button>
                                    </div>
                                {% endif %}
                                <!-- Accept Friendship Offer btn -->
                                {% if user|accept_friendship_offer_from_comment:comment %}
                                    <div>
                                        <button type="submit" class="friends_btn badge btn-outline-success"
                                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ comment.author.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ comment.author.id }}').attr('data-user_action','friendship_confirmation'))">
                                            Accept Friendship Offer
                                        </button>
                                    </div>
                                {% endif %}
                                <!-- Stop friendship btn -->
                                {% if user|stop_friendship_from_comment:comment %}
                                    <div>
                                        <button type="submit" class="friends_btn badge btn-info"
                                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ comment.author.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ comment.author.id }}').attr('data-user_action','break_friendship'))">
                                            Your Friend
                                        </button>
                                    </div>
                                {% endif %}
                            {% endif %}
                        </div>
                    </div>
                    <div class="row ml-5">
                        <div class="ml-3 mt-2">
                            <div class="mt-1 text-left mr-4">
                                {{ comment.body }}
                            </div>
                            <div class="row">
                                <div class="col p-0 mt-2 ml-3 mr-4">
                                    {% if comment.image %}
                                        <img class="card-img-top" src="{{ comment.image.url }}">
                                    {% endif %}
                                </div>
                            </div>
                            <!-- Like and Reply btn -->
                            <div class="row">
                                <div class="col-md-12 mb-3 mt-2">
                                    {% if user.is_authenticated %}
                                        {% if user not in comment.likes.all %}
                                            <div class="font-weight-bold">
                                                <a href="#" class="like_link" onclick="($('.like_link').attr('data-slug','{{ comment.slug }}'))">
                                                    <img class="like_in_post_card ml-2" src="{% static 'images/icon--heart.png' %}">
                                                    <span class="comm_like_counter_{{ comment.slug }}">{{ comment.likes.count }}</span>
                                                    <span class="ml-1 comm_like_text_link_{{ comment.slug }}"> I like it!</span>
                                                </a>
                                            </div>
                                        {% endif %}
                                        {% if user in comment.likes.all %}
                                            <div class="font-weight-bold">
                                                <a href="#" class="like_link" onclick="($('.like_link').attr('data-slug','{{ comment.slug }}'))">
                                                    <img class="like_in_post_card ml-2" src="{% static 'images/icon--heart.png' %}">
                                                    <span class="comm_like_counter_{{ comment.slug }}">{{ comment.likes.count }}</span>
                                                    <span class="ml-1 comm_like_text_link_{{ comment.slug }}"> I don't like it!</span>
                                                </a>
                                            </div>
                                        {% endif %}
                                    {% else %}
                                        <div class="font-weight-bold" data-toggle="tooltip" data-placement="right" title="Authorized Users Only">
                                            <p class="like_link disabled">
                                                <img class="like_in_post_card ml-3" src="{% static 'images/icon--heart.png' %}">
                                                {{ comment.likes.count }}<span class="ml-1"> I like it!</span>
                                            </p>
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-4">
                                    <!-- Edit, Delete btn -->
                                    {% if user.is_authenticated and user.pk == comment.author.pk %}
                                        <div class="col">
                                            <a href="#">Edit</a> |
                                            <a class="comment_delete_btn" href="#" onclick="$('.delete_comment_confirmation_btn').attr('data-slug','{{ comment.slug }}').attr('data-post-slug','{{ post.slug }}'); return false;">Delete</a>
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div><hr>
            {% endfor %}
        </div>
    </div>
</div>